WB32F10x Standard Peripherals Firmware Library

Modules | Data Structures | Macros | Enumerations | Functions
EXTI
WB32F10x_StdPeriph_Driver

EXTI driver modules. More...

## Modules
| EXTI_Exported_Constants
| EXTI_Private_Defines
| EXTI_Private_Functions

## Data Structures
struct | EXTI_InitTypeDef
| EXTI Init Structure definition. More...

## Macros
#define | IS_EXTI_MODE(MODE) (((MODE) == EXTI_Mode_Interrupt) || ((MODE) == EXTI_Mode_Event))
#define | IS_EXTI_TRIGGER(TRIGGER)

## Enumerations
enum | EXTIMode_TypeDef { EXTI_Mode_Interrupt = 0x00, EXTI_Mode_Event = 0x04 }
| EXTI mode enumeration. More...
enum | EXTITrigger_TypeDef { EXTI_Trigger_Rising = 0x08, EXTI_Trigger_Falling = 0x0C, EXTI_Trigger_Rising_Falling = 0x10 }
| EXTI Trigger enumeration. More...

## Functions
void | EXTI_DeInit (void)
| Deinitializes the EXTI peripheral registers to their default reset values. More...
void | EXTI_Init (EXTI_InitTypeDef *EXTI_InitStruct)
| Initializes the EXTI peripheral according to the specified parameters in the EXTI_InitStruct. More...
void | EXTI_StructInit (EXTI_InitTypeDef *EXTI_InitStruct)
| Fills each EXTI_InitStruct member with its reset value. More...
void | EXTI_GenerateSWInterrupt (uint32_t EXTI_Line)
| Generates a Software interrupt. More...
FlagStatus | EXTI_GetFlagStatus (uint32_t EXTI_Line)
| Checks whether the specified EXTI line flag is set or not. More...
void | EXTI_ClearFlag (uint32_t EXTI_Line)
| Clears the EXTI's line pending flags. More...
ITStatus | EXTI_GetITStatus (uint32_t EXTI_Line)
| Checks whether the specified EXTI line is asserted or not. More...
void | EXTI_ClearITPendingBit (uint32_t EXTI_Line)
| Clears the EXTI's line pending bits. More...

## Detailed Description

EXTI driver modules.

## Macro Definition Documentation

## ◆ IS_EXTI_TRIGGER

#define IS_EXTI_TRIGGER | ( |  | TRIGGER | ) |

Value:
(((TRIGGER) == EXTI_Trigger_Rising) || \
((TRIGGER) == EXTI_Trigger_Falling) || \
((TRIGGER) == EXTI_Trigger_Rising_Falling))

## Enumeration Type Documentation

## ◆ EXTIMode_TypeDef

enum EXTIMode_TypeDef

EXTI mode enumeration.

## ◆ EXTITrigger_TypeDef

enum EXTITrigger_TypeDef

EXTI Trigger enumeration.

## Function Documentation

## ◆ EXTI_ClearFlag()

void EXTI_ClearFlag | ( | uint32_t | EXTI_Line | ) |

Clears the EXTI's line pending flags.

Parameters

  EXTI_Line | specifies the EXTI lines flags to clear. This parameter can be any combination of EXTI_Linex where x can be (0..19).

Return values

  None |

## ◆ EXTI_ClearITPendingBit()

void EXTI_ClearITPendingBit | ( | uint32_t | EXTI_Line | ) |

Clears the EXTI's line pending bits.

Parameters

  EXTI_Line | specifies the EXTI lines to clear. This parameter can be any combination of EXTI_Linex where x can be (0..19).

Return values

  None |

## ◆ EXTI_DeInit()

void EXTI_DeInit | ( | void |  | ) |

Deinitializes the EXTI peripheral registers to their default reset values.

Parameters

  None |

Return values

  None |

## ◆ EXTI_GenerateSWInterrupt()

void EXTI_GenerateSWInterrupt | ( | uint32_t | EXTI_Line | ) |

Generates a Software interrupt.

Parameters

  EXTI_Line | specifies the EXTI lines to be enabled or disabled. This parameter can be any combination of EXTI_Linex where x can be (0..19).

Return values

  None |

## ◆ EXTI_GetFlagStatus()

FlagStatus EXTI_GetFlagStatus | ( | uint32_t | EXTI_Line | ) |

Checks whether the specified EXTI line flag is set or not.

Parameters

  EXTI_Line | specifies the EXTI line flag to check. This parameter can be: EXTI_Linex: External interrupt line x where x(0..19)

Return values

  The | new state of EXTI_Line (SET or RESET).

## ◆ EXTI_GetITStatus()

ITStatus EXTI_GetITStatus | ( | uint32_t | EXTI_Line | ) |

Checks whether the specified EXTI line is asserted or not.

Parameters

  EXTI_Line | specifies the EXTI line to check. This parameter can be: EXTI_Linex: External interrupt line x where x(0..19)

Return values

  The | new state of EXTI_Line (SET or RESET).

## ◆ EXTI_Init()

void EXTI_Init | ( | EXTI_InitTypeDef * | EXTI_InitStruct | ) |

Initializes the EXTI peripheral according to the specified parameters in the EXTI_InitStruct.

Parameters

  EXTI_InitStruct | pointer to a EXTI_InitTypeDef structure that contains the configuration information for the EXTI peripheral.

Return values

  None |

## ◆ EXTI_StructInit()

void EXTI_StructInit | ( | EXTI_InitTypeDef * | EXTI_InitStruct | ) |

Fills each EXTI_InitStruct member with its reset value.

Parameters

  EXTI_InitStruct | pointer to a EXTI_InitTypeDef structure which will be initialized.

Return values

  None |